
package myfirstgui;

import java.awt.BorderLayout;
import java.awt.Rectangle;
import java.awt.datatransfer.Clipboard;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.IDN;
import javax.swing.JEditorPane;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.event.HyperlinkEvent;
import javax.swing.event.HyperlinkListener;

public class Browser extends JFrame implements HyperlinkListener{

    private JTextField txtURL = new JTextField("");
    JEditorPane pane = new JEditorPane();
    private JLabel lblStatus = new JLabel(" ");

    public Browser() {
        setLayout(new BorderLayout());
        JPanel pnlURL = new JPanel();
        pnlURL.setLayout(new BorderLayout());
        //pnlURL.add(new JLabel("URL: "), BorderLayout.WEST);
        pnlURL.add(txtURL, BorderLayout.SOUTH);
        pnlURL.setBounds(new Rectangle(1000, 20));
        add(pnlURL, BorderLayout.NORTH);
        add(pane);
        add(lblStatus, BorderLayout.SOUTH);
        ActionListener al = new ActionListener() {
            public void actionPerformed(ActionEvent ae) {
                try {
                    String url = ae.getActionCommand().toLowerCase();
                    if (url.startsWith("http://")) {
                        url = url.substring(7);
                    }
                    pane.setPage("http://" + IDN.toASCII(url));
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        };

        txtURL.addActionListener(al);
        setSize(300, 300);
    }

    public void hyperlinkUpdate(HyperlinkEvent hle) {
        HyperlinkEvent.EventType evtype = hle.getEventType();
        if (evtype == HyperlinkEvent.EventType.ENTERED) {
            lblStatus.setText(hle.getURL().toString());
        } else if (evtype == HyperlinkEvent.EventType.EXITED) {
            lblStatus.setText(" ");
        }
    }

    public void init() {
        jMenuItem9 = new javax.swing.JMenuItem();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        jMenuItem1 = new javax.swing.JMenuItem();
        jMenuItem2 = new javax.swing.JMenuItem();
        jSeparator3 = new javax.swing.JPopupMenu.Separator();
        jMenuItem3 = new javax.swing.JMenuItem();
        jSeparator2 = new javax.swing.JPopupMenu.Separator();
        jMenuItem4 = new javax.swing.JMenuItem();
        jMenu2 = new javax.swing.JMenu();
        subMenuItem1 = new JMenuItem("Copy");
        
        subMenuItem2 = new JMenuItem("Paste");
        subMenu = new JMenu("Edit");
        jMenuItem5 = new javax.swing.JMenuItem();
        jMenuItem6 = new javax.swing.JMenuItem();
        jMenu3 = new javax.swing.JMenu();
        jMenuItem8 = new javax.swing.JMenuItem();

        jMenuItem9.setText("");
        
        jMenu1.setText("File");

        jMenuItem1.setText("New");
        jMenu1.add(jMenuItem1);

        jMenuItem2.setText("List Files");
        
         jMenu1.add(jMenuItem2);
        jMenu1.add(jSeparator3);

        jMenuItem3.setText("Save As");
        jMenu1.add(jMenuItem3);
        jMenu1.add(jSeparator2);

        jMenuItem4.setText("Close");
        jMenu1.add(jMenuItem4);

        jMenuBar1.add(jMenu1);

        jMenu2.setText("Tool");

        jMenuItem5.setText("Sort");
        jMenu2.add(jMenuItem5);

        jMenuItem6.setText("Search");
        jMenu2.add(jMenuItem6);

        subMenu.add(subMenuItem1);
        subMenu.add(subMenuItem2);
        jMenu2.add(subMenu);

        jMenuBar1.add(jMenu2);

        jMenu3.setText("Help");

        jMenuItem8.setText("");
        jMenu3.add(jMenuItem8);

        jMenuBar1.add(jMenu3);

        setJMenuBar(jMenuBar1);
        
        setTitle("My Web Browser");
        this.setVisible(true);
    }
    
    
     private JMenu subMenu;
    public JMenuItem subMenuItem1, subMenuItem2;
    public Clipboard clpbrd;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenu jMenu2;
    private javax.swing.JMenu jMenu3;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem jMenuItem1;
    private javax.swing.JMenuItem jMenuItem2;
    private javax.swing.JMenuItem jMenuItem3;
    private javax.swing.JMenuItem jMenuItem4;
    private javax.swing.JMenuItem jMenuItem5;
    private javax.swing.JMenuItem jMenuItem6;
    private javax.swing.JMenuItem jMenuItem8;
    private javax.swing.JMenuItem jMenuItem9;
    private javax.swing.JPopupMenu.Separator jSeparator2;
    private javax.swing.JPopupMenu.Separator jSeparator3;
}
